package Msg;

public enum EMsgType {
    TEST,

    MOVE_UP, MOVE_DOWN, MOVE_LEFT, MOVE_RIGHT,

    CREATE_MODEL, CREATE_TEXTURE, CREATE_MODEL_TEXTURE,
    MODEL_TEXTURE_CREATED,


    CHAT, SEND_CHAT, LOGIN, INIT_GAME, PLAYER, SEND_PLAYER,
    ENEMY, ENEMY_KILLED, PLAYER_SHOT, SHOT, REMOVE_SHOT,

    LOGOUT, SEND_LOGOUT,

    EVENT_BACKGROUND_COLOR, MAP_SEED,

    DEBUG, STOP
}
